<?xml version="1.0" encoding="utf-8"?>
<!-- config value
 * Copyright (C) 2021 Honor Device Inc.
 *
-->
<gamesched_platform_config version="1.0">
    <cpu_domain_list para_size="3">
        <mCpuDomains id="0">
            <numOfCpus>4</numOfCpus>
            <cpuMask>f</cpuMask>
            <cpuIds>0 1 2 3</cpuIds>
            <numOfFreqs>9</numOfFreqs>
            <freqs>300 691 806 940 1152 1324 1516 1651 1804</freqs>
            <scalingGovernor>schedutil</scalingGovernor>
            <cpuType>armv8_pmuv3</cpuType>
        </mCpuDomains>
        <mCpuDomains id="1">
            <numOfCpus>3</numOfCpus>
            <cpuMask>70</cpuMask>
            <cpuIds>4 5 6</cpuIds>
            <numOfFreqs>10</numOfFreqs>
            <freqs>691 940 1228 1344 1516 1651 1900 2054 2131 2400</freqs>
            <scalingGovernor>schedutil</scalingGovernor>
            <cpuType>armv8_pmuv3</cpuType>
        </mCpuDomains>
        <mCpuDomains id="2">
            <numOfCpus>1</numOfCpus>
            <cpuMask>80</cpuMask>
            <cpuIds>7</cpuIds>
            <numOfFreqs>10</numOfFreqs>
            <freqs>806 1056 1324 1516 1766 1862 2035 2208 2380 2400</freqs>
            <scalingGovernor>schedutil</scalingGovernor>
            <cpuType>armv8_pmuv3</cpuType>
        </mCpuDomains>
    </cpu_domain_list>

    <pmu_event_list para_size="3">
        <mPmuEvents id="0">
            <rawId>1</rawId>
            <name>Instructions</name>
            <normalizeCoef>1000000</normalizeCoef>
            <predictorCreateFunc>CreatRLPredictor</predictorCreateFunc>
        </mPmuEvents>
        <mPmuEvents id="1">
            <rawId>7</rawId>
            <name>FE Issued</name>
            <normalizeCoef>1000000</normalizeCoef>
            <predictorCreateFunc>CreatMeanValuePredictor</predictorCreateFunc>
        </mPmuEvents>
        <mPmuEvents id="2">
            <rawId>8</rawId>
            <name>BE Issued</name>
            <normalizeCoef>1000000</normalizeCoef>
            <predictorCreateFunc>CreatMeanValuePredictor</predictorCreateFunc>
        </mPmuEvents>
    </pmu_event_list>

    <counter_events_list para_size="1">
        <mCounterEvents id="0">
            <rawId>6</rawId>
            <name>Gpu Active</name>
            <normalizeCoef>1000000</normalizeCoef>
            <predictorCreateFunc>nullptr</predictorCreateFunc>
        </mCounterEvents>
    </counter_events_list>

    <ddr_info_list para_size="1">
        <mDdrInfo id="0">
            <ddrFreq>3879 5931 6515 7980 10437 12191</ddrFreq>
            <ddrBws>3879000 5931000 6515000 7980000 10437000 12191000</ddrBws>
            <ddrBwsLowThre>3879 5931 6515 7980 10437 12191</ddrBwsLowThre>
        </mDdrInfo>
    </ddr_info_list>

    <low_limit_freqs_list para_size="1">
        <mLowLimitFreqs id="0">
            <lpCpuFreq>0 1152 7980</lpCpuFreq>
            <pfCpuFreq>1 1344 7980</pfCpuFreq>
            <gpuFreq>0 410 7980</gpuFreq>
        </mLowLimitFreqs>
    </low_limit_freqs_list>

    <!-- <boost_combs_list para_size="1">
        <boost_combs id="0">1 2419 12191</boost_combs>
    </boost_combs_list> -->

    <boost_combs_list para_size="3">
        <boost_combs id="0">1 1804 7980</boost_combs>
        <boost_combs id="1">1 2400 12191</boost_combs>
        <boost_combs id="2">1 2400 12191</boost_combs>
    </boost_combs_list>

    <thermal_combs_list para_size="1">
        <boost_combs id="0">1 2400 12191</boost_combs>
        <!-- <boost_combs id="0">2 2842 12191</boost_combs> -->
    </thermal_combs_list>
</gamesched_platform_config>